Subject: bug#75459: 31.0.50; scratch-igc: Breakpoint 1, terminate_due_to_signal (sig=sig@entry=6, backtrace_limit=backtrace_limit@entry=2147483647) at ./src/emacs.c:432

From: Gregor Zattler <[email-masked]>
Date: Thu, 09 Jan 2025 23:29:07 +0100

Hi Pip,
* Pip Cet <[email-masked]> [2025-01-09; 19:27 GMT]:
[... 29 Zeilen deleted ...]
> "deadl", which appears at the beginning of an Emacs string ("deadline") only in
> org-agenda.el.  The string is unlikely to start earlier because the next
> byte would be 0x08, an ASCII backspace.  Unlikely.
>
> More likely it's an unaligned string.  I think Emacs string data is
> always aligned, except for pure strings.  But on scratch/igc, even pure
> strings are aligned to an 8-byte boundary!
>
> "closed" also appears in org-agenda.el, but this string isn't
> NUL-terminated: it's a Pascal-style string, with a length byte (0x06)
> followed by 6 ASCII characters.  That would match the 8-byte "deadline"
> literal.
>
> Possibly a (basic) compression format, probably lz4 or zlib.  I'm
> guessing this is a git object, which is stored in zlib format, and that
> appears to use length-prefixed string literals like these.
>
> What is it doing in your Emacs data?

I have no idea.  If I remember
correctly, I started Emacs and told it
to load the org-agenda files, and that
would be it, these are plain text.

I do every day at least once.  This did
not happen before.  I tried to reproduce
in an Emacs optimized for debugging, but
the problem did not occur.

[... 392 Zeilen deleted ...]
> Can you try "p $rsp"?

(gdb) p $rs
$7 = void

Upps, "rs" != "rsp"

(gdb) p $rsp
$10 = (void *) 0x7fffffff95f8

Ciao; Gregor